<script type="text/html" data-help-name="dim-dns-server">
  <p>
    A DIM Name Server (DNS) for handling requests to register and query
    services.
  </p>
  <h3>Outputs</h3>
  <dl class="message-properties">
    <dt>payload<span class="property-type">string</span></dt>
    <dd>Update on the status of a service.</dd>
    <dt class="optional">node<span class="property-type">string</span></dt>
    <dd>
      Information on the host that provides the service (host and task name).
    </dd>
  </dl>
  <h3>Details</h3>
  <p>
    To configure this node, it is only necessary to choose the <i>Port</i>
    number the DNS Server will listen on. It is 2505 by default.
  </p>
  <p>
    Whenever a service is registered or removed from the node, it produces a
    notification. Examples of notifications are:
    <pre><i>+ service_name</i> (service added)
      <br><i>- service_name</i> (service removed)</pre>
  </p>
  <p>
    Along with the status information of a service, the name of the host
    providing the service (or its IP address) and its task name are saved
    in the <code>msg.node</code> property in the following format:
    <pre><i>task_name</i>@<i>host_name</i></pre>
  </p>
  <p>
    <b>Note</b>: It is not possible to register a service more than once on the
    same DNS Server node. A <i>duplicate service</i> notification is sent in
    case of conflict.
  </p>
</script>
